<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include_once(__DIR__ . '/core/core.php');

$host = 'efficient-metrics-agency.com';

if (!empty($_GET['shop'])) {
    $shop = $_GET['shop'];

} else {
    exit('Shop hostname not found');
}

$apisSettings = [
    /* Staging */
    'loveisabellejewellery-staging.myshopify.com' => [
        'api_key' => '6b646b888a00a5c84e26cc3f0778bbf5',
        'api_secret_key' => 'ed5b3c96ff71e1960baee637d35fe45c',
    ],
];

if (empty($apisSettings[$shop])) {
    exit('Shop is missing API keys');
}

$VDEVShopify = new VDEVShopify(
    [
        'api_key' => $apisSettings[$shop]['api_key'],
        'api_secret_key' => $apisSettings[$shop]['api_secret_key'],
    
        'host' => $host,
        'shop' => $shop,
        
        'app' => 'product-list-cms',
    
        'scopes' => 'read_products,write_products'
    ], 
    false /* Developer mode */
);

$database = new Database;
$database->shop = $shop;

switch ($VDEVShopify->controller) {

    case 'app':
        $VDEVShopifyApp = $VDEVShopify->apiClass('app');

        switch ($VDEVShopify->action) {

            case 'generate_token':
                $VDEVShopify->apiClass('app')->generateToken($_GET);
                break;

            default:
                $VDEVShopify->apiClass('app')->install();
                break;
        }

        break;
        
    default:
        
        if (empty($_GET['access_token'])) {
            $VDEVShopify->apiClass('app')->install();
        }
        
        include_once (__DIR__. '/core/views/index.view.php');
        break;
}


