<?php

class VDEVShopifyOrder extends VDEVShopify
{
    public function getOrders() {
        
        // if ($this->devMode) {
        //     $callURI = '/admin/api/2021-10/draft_orders.json';
        //     $callQueries = [];
        
        // } else {
            // $callURI = '/admin/orders.json';
            $callURI = '/admin/api/2021-10/orders.json';
            $callQueries = [
                'status' => 'any'    
            ];
        // }
        
        $call = $this->call($callURI, $callQueries, 'GET');
        
        // if ($this->devMode) {
        //     return $this->getCallResponse($call, 'draft_orders');
            
        // } else {
            return $this->getCallResponse($call, 'orders');
        // }
    }
    
    public function createCheckout($products)
    {
        $callURI = '/admin/api/2021-10/checkouts.json';
        $callQueries = [
            'checkout' => [
                'line_items' => $products
            ]
        ];
        
        $call = $this->call($callURI, $callQueries, 'POST');
        
        return $this->getCallResponse($call, 'checkout');  
    }
    
    public function completeOrder($orderToken)
    {
        $callURI = '/admin/api/2022-04/checkouts/' . $orderToken . '/complete.json';
        $callQueries = [
            'fulfillment_request' => [
                'message' => 'Order has been completed successfully...'
            ]
        ];
        
        $call = $this->call($callURI, $callQueries, 'POST');
        
        var_dump($call['response']);
        exit;
    }
    
    public function createOrder($products, $customer)
    {
        // if ($this->devMode) {
        //     $callURI = '/admin/api/2021-10/draft_orders.json';
        //     $callQueries = [
        //         'draft_order' => [
        //             'email' => $customer['email'],
        //             'fulfillment_status' => 'fulfilled',
        //              'send_receipt' => false,
        //              'send_fulfillment_receipt' => false,
        //             'line_items' => $products,
        //             'customer' => $customer,
        //             'financial_status' => 'pending'
        //         ]
        //     ];

        // } else {
            $callURI = '/admin/api/2021-10/orders.json';
            $callQueries = [
                'order' => [
                    'email' => $customer['email'],
                    'fulfillment_status' => 'fulfilled',
                    // 'send_receipt' => true,
                    'send_receipt' => false,
                    // 'send_fulfillment_receipt' => true,
                    'send_fulfillment_receipt' => false,
                    'line_items' => $products,
                    'customer' => $customer,
                    'financial_status' => 'pending'
                ]
            ];
        // }
        
        $call = $this->call($callURI, $callQueries, 'POST');
        
        // if ($this->devMode) {
        //     return $this->getCallResponse($call, 'draft_orders');
            
        // } else {
            return $this->getCallResponse($call, 'orders');
        // }
    }
}
