<h5 class="mb-3 pb-1">
    Home
</h5>
<div class="list-group list-group-flush border-top scrollarea"
     style="margin-right: -1.5rem; margin-left: -1.5rem;">
    <div class="modal modal-sheet position-static d-block bg-body-secondary p-4 py-md-5">
        <div class="modal-dialog">
            <div class="modal-content">
                <?php if (Tools::getAccessLevel()): ?>
                    <div class="modal-header p-5 border-bottom-0"
                         style="justify-content: center;">
                        <h1 class="fw-bold mb-0 fs-2">
                            You are logged in
                        </h1>
                    </div>
                <?php else: ?>
                    <div class="modal-header p-5 pb-4 border-bottom-0">
                        <h1 class="fw-bold mb-0 fs-2">
                            Log in
                        </h1>
                    </div>
                    <div class="modal-body p-5 pt-0">
                        <form action="<?= Tools::getLink() ?>" method="get" id="accessPasswordForm">
                            <div class="form-floating mb-3">
                                <input type="password" class="form-control rounded-3" id="accessPasswordField" name="access_password" placeholder="123456">
                                <label for="accessPasswordField">Password</label>
                            </div>
                            <button class="w-100 mb-2 btn btn-primary btn-lg" type="button">
                                Log in
                            </button>
                        </form>
                        <script>
                        
                            const accessPasswordForm = document.querySelector('#accessPasswordForm');
                            const accessPasswordButton = accessPasswordForm.querySelector('.btn');
                            
                            accessPasswordButton.addEventListener('click', function() {
                                const accessPasswordField = accessPasswordForm.querySelector('#accessPasswordField');
                                const url = accessPasswordForm.getAttribute('action') + '&' + accessPasswordField.getAttribute('name') + '=' + accessPasswordField.value;
                                // window.location.href = url;
                                window.open(url, '_blank').focus();
                            });
                            
                        </script>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>