<?php

class VDEVShopifyProduct extends VDEVShopify
{
    public function getProducts()
    {
        $callURI = '/admin/api/2021-10/products.json';
        $call = $this->call($callURI, [], 'GET');
        
        return $this->getCallResponse($call, 'products');
    }

    public function getProductById($productId)
    {
        $callURI = '/admin/api/2021-10/products/' . (int)$productId . '.json';
        $call = $this->call($callURI, [], 'GET');
        
        return $this->getCallResponse($call, 'product');
    }
    
    public function updateProductVariantById($variantId, $newProductVariant) {
        $callURI = '/admin/api/2022-04/variants/' . (int)$variantId . '.json';
        $callData = [
            'variant' => $newProductVariant
        ];
        $call = $this->call($callURI, $callData, 'PUT');
        
        return $this->getCallResponse($call, 'variant');
    }
}
